Apache is running a threaded MPM, but your PHP Module is not compiled to be threadsafe

Enable Apache npm prefork module

Nếu bạn sử dụng Homebrew để cài đặt các phiên bản PHP cùng với Apache trên các máy Mac OS phiên bản mới thì rất nhiều khả năng bạn sẽ đụng phải lỗi sau:

[Sun Dec 09 22:58:33.881080 2018] [:crit] [pid 88600:tid 140736072074112] Apache is running a threaded MPM, but your PHP Module is not compiled to be threadsafe.  Homebrew PHP does not support a thread-safe php binary. To use the PHP apache sapi please change your httpd config to use the prefork MPM
AH00013: Pre-configuration failed

Nguyên nhân lỗi ở trên đã được thể hiện khá rõ đó là bởi Apache web server đang được thiết lập để sử dụng với PHP threadsafe. Tuy nhiên việc cài đặt PHP phiên bản threadsafe không được hỗ trợ bởi Homebrew nữa do đó đã gây ra lỗi trên.

Tuy nhiên thì cách fix lỗi này khá đơn giản, ban chỉ việc sửa đổi file config Apache http.conf, mở tập tin này sử dụng VIM (có thể bặn sẽ cần thay đổi địa chỉ tập tin ở câu lệnh dưới cho phù hợp với máy tính bạn):

vi /usr/local/etc/httpd/httpd.conf

Và sau đó uncomment dòng sau:

LoadModule mpm_prefork_module lib/httpd/modules/mod_mpm_prefork.so

Đồng thời comment lại dòng sau:

#LoadModule mpm_event_module lib/httpd/modules/mod_mpm_event.so

File Apache config mới sẽ như sau:

 #LoadModule mpm_event_module lib/httpd/modules/mod_mpm_event.so
 LoadModule mpm_prefork_module lib/httpd/modules/mod_mpm_prefork.so

Bây giờ bạn cần restart Apache:

sudo apachectl restart

Lúc này bạn sẽ không còn bị lỗi như ở phần đầu bài viết nữa.

Nếu thấy hay thì share giúp mình nhé!

Thêm Bình Luận: